
Redmine - Feature #1869

"Unscheduled" version on roadmap

2008-09-08 16:30 - Marcin Kasperski

Status: Closed Start date: 2008-09-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would be nice, if all open issues not assigned to any version were shown on the roadmap, under special version named

"unscheduled" (maybe also distinguished with a color or formatting).

This way it would not be necessary to create versions called "Future", "Unassigned" etc - what people are now frequently doing.

Related issues:

Has duplicate Redmine - Feature #3325: Roadmap and Issues without version Closed 2009-05-08

Has duplicate Redmine - Feature #1771: Showing non-classified issues on roadmap Closed 2008-08-12

Has duplicate Redmine - Feature #4928: Add secondary page column with "non-ve... Closed 2010-02-25

History

#1 - 2008-09-13 16:08 - Anonymous

+1 (a voting system will be nice also ;o))

#2 - 2008-09-22 21:15 - Jean-Philippe Lang

IMHO, the Roadmap is not the right place to display unassigned issues. Unassigned doesn't always mean that it will be implemented in the future.

You can use a saved query to list unassigned issues. What do you think?

#3 - 2009-01-28 19:20 - Marcin Kasperski

That's probably a matter of work habits, but I still feel that it would be nice to see ALL issues on the roadmap. Important for project review for

example.

I don't think it makes any harm to show things which need not be implemented. After all, they are to be shown on the very bottom, and under the label

which suggests that those are the issues about which no decision has been made so far.

(sorry for answering so late, I did not get the email notification for some reason and just spotted the comments now)

#4 - 2009-05-28 03:48 - Szymon Połom

I don't mind the current system as I have a version called Product Backlog in all my projects but I wouldn't mind a setting where one can say "set

newly created issues to version xxx per default".

#5 - 2009-11-23 01:29 - Thomas Capricelli

I usually create a special version "Futur" and assign all otherwise non-assigned items to it. This provide what this ticket asks, if you dont forget to

assign them..

#6 - 2011-03-29 14:44 - Toshi MARUYAMA

- Category set to Roadmap

#7 - 2012-08-17 00:59 - Andrew Lansdowne

+1 we rely on the roadmap when organising issues for releases and because target version is optional people often forget to set it and these issues

go forgotten until someone checks for unassigned issues and assigns them. I did try making a filter for no target version and it works on one project

but not if you share with all projects.

#8 - 2013-03-25 17:04 - Dipan Mehta

+1 Just to fit the purpose of both point of view - it can be a button/setting that whether or not issues with 'unassigned target versions' should be shown

on roadmap or not.
#9 - 2013-11-21 09:17 - Le Quang Chinh

+1

Hope that Feature/Enhancement will be implemented.

#10 - 2015-07-13 15:44 - Jon Brown

+1

this could be a very useful feature. perhaps not everyone would use it but i would.

This might be aimed at smaller projects with one or 2 people. You could have this as a setable option in the config per project.

you could see at a glance what stuff you have not assigned or what other issues people have logged without the hassle of having to categories them,

especially on a friday afternoon when you want to go home.

#11 - 2015-12-13 06:54 - Go MAEDA

- Has duplicate Feature #4928: Add secondary page column with "non-versioned issues" added

#12 - 2017-07-03 10:17 - Robert Schneider

-1

Not the right concept, IMO. I would close/reject this ticket. A roadmap is a roadmap.

Consider it also technically: some projects (like Redmine itself) may contain thousands of such tickets.

#13 - 2017-07-03 16:04 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Wont fix

Robert Schneider wrote:

Not the right concept, IMO. I would close/reject this ticket. A roadmap is a roadmap.

 I agree. Also, with the implementation of #1828, it is possible to assign all new issues a default version (like 'Unscheduled'), thus making the

functionality requested in this issue obsolete.
